<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ExecutionContext](./puppeteer.executioncontext.md) &gt; [\_adoptElementHandle](./puppeteer.executioncontext._adoptelementhandle.md)

## ExecutionContext.\_adoptElementHandle() method

<b>Signature:</b>

```typescript
_adoptElementHandle(elementHandle: ElementHandle): Promise<ElementHandle>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  elementHandle | [ElementHandle](./puppeteer.elementhandle.md) |  |

<b>Returns:</b>

Promise&lt;[ElementHandle](./puppeteer.elementhandle.md)<!-- -->&gt;

